package com.gree.mall.manager.commonmapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gree.mall.manager.bean.policy.AgreementVo;
import com.gree.mall.manager.bean.policy.PolicyVo;
import com.gree.mall.manager.zfire.bean.ZfireParamBean;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PolicyCMapper {

    IPage<PolicyVo> list(Page page, @Param("ex")ZfireParamBean zfireParam,@Param("adminCompanyIds") List<String> adminCompanyIds);

    IPage<AgreementVo> listAgreement(Page page,@Param("ex") ZfireParamBean zfireParam,@Param("adminCompanyIds") List<String> adminCompanyIds);
}
